Bug 685015 - group operation history details throws exception
group operation history details throws exception
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-15 00:07 EDT by John Mazzitelli
Modified: 2011-05-23 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
group-op-results.png (51.81 KB, image/png)
2011-03-15 10:55 EDT, John Mazzitelli
no flags Details
stack trace (9.88 KB, text/plain)
2011-03-16 09:48 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2011-03-15 00:07:05 EDT
Had a compat group of 2 RHQ Agents. One agent up, one down.

Executed "Update all plugins" operations in parallel.

Go to the history details for that operation and double click on the history item for the agent that is up. Got this Globally uncaught exception and the UI was blank except for the top menu item and message area - everything else was empty/whitespace.
	
com.google.gwt.core.client.JavaScriptException:(TypeError): 
this$static.org_rhq_enterprise_gui_coregui_client_CoreGUI$RootCanvas_currentCanvas is null stack: org_rhq_enterprise_gui_coregui_client_CoreGUI$RootCanvas_$renderView__Lorg_rhq_enterprise_gui_coregui_client_CoreGUI$RootCanvas_2Lorg_rhq_enterprise_gui_coregui_client_ViewPath_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:14215 org_rhq_enterprise_gui_coregui_client_CoreGUI_onValueChange__Lcom_google_gwt_event_logical_shared_ValueChangeEvent_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:14011 com_google_gwt_event_logical_shared_ValueChangeEvent_$dispatch__Lcom_google_gwt_event_logical_shared_ValueChangeEvent_2Lcom_google_gwt_event_logical_shared_ValueChangeHandler_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:6966 com_google_gwt_event_logical_shared_ValueChangeEvent_dispatch__Lcom_google_gwt_event_shared_EventHandler_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:6974 com_google_gwt_event_shared_HandlerManager$HandlerRegistry_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager$HandlerRegistry_2Lcom_google_gwt_event_shared_GwtEvent_2ZV([object Object],[object Object],false)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:7274 com_google_gwt_event_shared_HandlerManager_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager_2Lcom_google_gwt_event_shared_GwtEvent_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:7111 com_google_gwt_user_client_impl_HistoryImpl_fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:13225 com_google_gwt_event_logical_shared_ValueChangeEvent_fire__Lcom_google_gwt_event_logical_shared_HasValueChangeHandlers_2Ljava_lang_Object_2V([object Object],"null/10072")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:6981 com_google_gwt_user_client_impl_HistoryImpl_$fireHistoryChangedImpl__Lcom_google_gwt_user_client_impl_HistoryImpl_2Ljava_lang_String_2V([object Object],"null/10072")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:13199 com_google_gwt_user_client_impl_HistoryImpl_$newItem__Lcom_google_gwt_user_client_impl_HistoryImpl_2Ljava_lang_String_2ZV([object Object],"null/10072",true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:13211 com_google_gwt_user_client_History_newItem__Ljava_lang_String_2ZV("null/10072",true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:12493 com_google_gwt_user_client_History_newItem__Ljava_lang_String_2V("null/10072")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:12487 org_rhq_enterprise_gui_coregui_client_components_table_TableSection_$showDetails__Lorg_rhq_enterprise_gui_coregui_client_components_table_TableSection_2IV([object Object],10072)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:31242 org_rhq_enterprise_gui_coregui_client_components_table_TableSection_$showDetails__Lorg_rhq_enterprise_gui_coregui_client_components_table_TableSection_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:31236 org_rhq_enterprise_gui_coregui_client_components_table_TableSection$1_onDoubleClick__Lcom_smartgwt_client_widgets_events_DoubleClickEvent_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:60599 org_rhq_enterprise_gui_coregui_client_components_table_Table$1_onDoubleClick__Lcom_smartgwt_client_widgets_events_DoubleClickEvent_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:60165 com_smartgwt_client_widgets_events_DoubleClickEvent_$dispatch__Lcom_smartgwt_client_widgets_events_DoubleClickEvent_2Lcom_smartgwt_client_widgets_events_DoubleClickHandler_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:30137 com_smartgwt_client_widgets_events_DoubleClickEvent_dispatch__Lcom_google_gwt_event_shared_EventHandler_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:30141 com_google_gwt_event_shared_HandlerManager$HandlerRegistry_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager$HandlerRegistry_2Lcom_google_gwt_event_shared_GwtEvent_2ZV([object Object],[object Object],false)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:7274 com_google_gwt_event_shared_HandlerManager_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager_2Lcom_google_gwt_event_shared_GwtEvent_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:7111 com_smartgwt_client_widgets_BaseWidget_$fireEvent__Lcom_smartgwt_client_widgets_BaseWidget_2Lcom_google_gwt_event_shared_GwtEvent_2V([object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:26880 com_smartgwt_client_widgets_BaseWidget_fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:27339 ([object Object],(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:28043 com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {var param = {};var event = com_smartgwt_client_widgets_events_DoubleClickEvent_new__Lcom_google_gwt_core_client_JavaScriptObject_2Lcom_smartgwt_client_widgets_events_DoubleClickEvent_2(param);selfJ.fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V(event);var ret = event.isCancelled__Z();return !ret;}),[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:3779 com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function () {var param = {};var event = com_smartgwt_client_widgets_events_DoubleClickEvent_new__Lcom_google_gwt_core_client_JavaScriptObject_2Lcom_smartgwt_client_widgets_events_DoubleClickEvent_2(param);selfJ.fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V(event);var ret = event.isCancelled__Z();return !ret;}),[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:3807 ([object Object],(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html:3796 isc_Canvas_handleDoubleClick([object Object],(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3031 isc_c_EventHandler_bubbleEvent([object Object],"doubleClick")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1497 isc_c_EventHandler_handleClick([object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1345 isc_c_EventHandler__handleMouseUp([object MouseEvent],(void 0))@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1332 isc_c_EventHandler_handleMouseUp([object MouseEvent])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1323 isc_c_EventHandler_dispatch(isc_c_EventHandler_handleMouseUp,[object MouseEvent])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1560 anonymous([object MouseEvent])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:38 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/D5B38560AE276D4EC596E7ED831E4A26.cache.html lineNumber: 14215
    at Unknown.org_rhq_enterprise_gui_coregui_client_CoreGUI$RootCanvas_$renderView__Lorg_rhq_enterprise_gui_coregui_client_CoreGUI$RootCanvas_2Lorg_rhq_enterprise_gui_coregui_client_ViewPath_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_CoreGUI_onValueChange__Lcom_google_gwt_event_logical_shared_ValueChangeEvent_2V(Unknown source:0)
    at Unknown.com_google_gwt_event_logical_shared_ValueChangeEvent_$dispatch__Lcom_google_gwt_event_logical_shared_ValueChangeEvent_2Lcom_google_gwt_event_logical_shared_ValueChangeHandler_2V(Unknown source:0)
    at Unknown.com_google_gwt_event_logical_shared_ValueChangeEvent_dispatch__Lcom_google_gwt_event_shared_EventHandler_2V(Unknown source:0)
    at Unknown.com_google_gwt_event_shared_HandlerManager$HandlerRegistry_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager$HandlerRegistry_2Lcom_google_gwt_event_shared_GwtEvent_2ZV(Unknown source:0)
    at Unknown.com_google_gwt_event_shared_HandlerManager_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager_2Lcom_google_gwt_event_shared_GwtEvent_2V(Unknown source:0)
    at Unknown.com_google_gwt_user_client_impl_HistoryImpl_fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V(Unknown source:0)
    at Unknown.com_google_gwt_event_logical_shared_ValueChangeEvent_fire__Lcom_google_gwt_event_logical_shared_HasValueChangeHandlers_2Ljava_lang_Object_2V(Unknown source:0)
    at Unknown.com_google_gwt_user_client_impl_HistoryImpl_$fireHistoryChangedImpl__Lcom_google_gwt_user_client_impl_HistoryImpl_2Ljava_lang_String_2V(Unknown source:0)
    at Unknown.com_google_gwt_user_client_impl_HistoryImpl_$newItem__Lcom_google_gwt_user_client_impl_HistoryImpl_2Ljava_lang_String_2ZV(Unknown source:0)
    at Unknown.com_google_gwt_user_client_History_newItem__Ljava_lang_String_2ZV(Unknown source:0)
    at Unknown.com_google_gwt_user_client_History_newItem__Ljava_lang_String_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_table_TableSection_$showDetails__Lorg_rhq_enterprise_gui_coregui_client_components_table_TableSection_2IV(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_table_TableSection_$showDetails__Lorg_rhq_enterprise_gui_coregui_client_components_table_TableSection_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_table_TableSection$1_onDoubleClick__Lcom_smartgwt_client_widgets_events_DoubleClickEvent_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_components_table_Table$1_onDoubleClick__Lcom_smartgwt_client_widgets_events_DoubleClickEvent_2V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_events_DoubleClickEvent_$dispatch__Lcom_smartgwt_client_widgets_events_DoubleClickEvent_2Lcom_smartgwt_client_widgets_events_DoubleClickHandler_2V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_events_DoubleClickEvent_dispatch__Lcom_google_gwt_event_shared_EventHandler_2V(Unknown source:0)
    at Unknown.com_google_gwt_event_shared_HandlerManager$HandlerRegistry_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager$HandlerRegistry_2Lcom_google_gwt_event_shared_GwtEvent_2ZV(Unknown source:0)
    at Unknown.com_google_gwt_event_shared_HandlerManager_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager_2Lcom_google_gwt_event_shared_GwtEvent_2V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_BaseWidget_$fireEvent__Lcom_smartgwt_client_widgets_BaseWidget_2Lcom_google_gwt_event_shared_GwtEvent_2V(Unknown source:0)
    at Unknown.com_smartgwt_client_widgets_BaseWidget_fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_Canvas_handleDoubleClick(Unknown source:0)
    at Unknown.isc_c_EventHandler_bubbleEvent(Unknown source:0)
    at Unknown.isc_c_EventHandler_handleClick(Unknown source:0)
    at Unknown.isc_c_EventHandler__handleMouseUp(Unknown source:0)
    at Unknown.isc_c_EventHandler_handleMouseUp(Unknown source:0)
    at Unknown.isc_c_EventHandler_dispatch(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
Comment 1 John Mazzitelli 2011-03-15 10:55:12 EDT
Created attachment 485281 [details]
group-op-results.png

adding a screen snapshot to see what the op results looked like prior to me double clicking the top result row that produced the error
Comment 2 Ian Springer 2011-03-16 08:53:53 EDT
Mazz-

Can you try to reproduce in hosted mode and attach the Java stack trace? That will be easier to debug than the JS stack trace.
Comment 3 John Mazzitelli 2011-03-16 09:48:36 EDT
Created attachment 485736 [details]
stack trace

(In reply to comment #2)
> Mazz-
> 
> Can you try to reproduce in hosted mode and attach the Java stack trace? That
> will be easier to debug than the JS stack trace.

see attached stack trace
Comment 4 Jay Shaughnessy 2011-04-18 12:35:34 EDT
commit 523c898ef230a5889fcd5c6bed0a88113febb534
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Mon Apr 18 12:34:53 2011 -0400

    [BZ 685015 - group operation history details throws exception]

    The group op history embeds a list view for the member resources.  Double
    click here does not follow the usual master detail pattern, Instead, navigate
    to the resource op history view.
Comment 5 Mike Foley 2011-05-03 10:09:32 EDT
tested RHQ 4.0 released version, as follows:  deleted and force deleted group operations history.
Comment 6 Corey Welton 2011-05-23 21:14:13 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:14:22 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:14:23 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.